#!/bin/bash

# 开发工具
PKGS=(
    make
    cmake
    gcc
    g++
    build-essential
    dpkg-dev
    python3
)
install_pkgs "${PKGS[@]}"

# 平台相关
CURRENT_ARCH="$(dpkg --print-architecture)"
if [ "${CURRENT_ARCH}" == "riscv64" ]; then
    PKGS=(
        openjdk-11-jdk
    )
    install_pkgs "${PKGS[@]}"
elif [ "${CURRENT_ARCH}" == "arm64" ]; then
    PKGS=(
        openjdk-8-jdk
        nodejs
        npm
        dotnet-sdk
    )
    install_pkgs "${PKGS[@]}"
else
    PKGS=(
        openjdk-8-jdk
        nodejs
        npm
    )
    install_pkgs "${PKGS[@]}"
fi