#!/bin/bash

# 浏览器
CURRENT_ARCH="$(dpkg --print-architecture)"
if [ "${CURRENT_ARCH}" == "loongarch64" ]; then
    # 龙芯 安装firefox
    PKGS=(
        firefox
    )
elif [ "${CURRENT_ARCH}" == "arm64" ]; then
    # arm64 安装 chromium
    if grep -q "Phytium,.*2000" /proc/cpuinfo; then
        PKGS_E2000=(
            chromium-browser
            chromium-browser-l10n
        )
        install_pkgs "${PKGS_E2000[@]}"
    elif grep -q "rockchip" /proc/cpuinfo; then
        PKGS_ROCKCHIP=(
            libv4l2rds0
            libv4l-rkmpp
            v4l-utils
            librockchip-mpp1
            libv4l-rkmpp 
            libv4lconvert0
            libv4l-0
            librockchip-mpp1
            chromium-browser-l10n
            chromium-browser
            rockchip-multimedia-config
        )
        install_pkgs "${PKGS_ROCKCHIP[@]}"
    else
        :
    fi
else
    # x86 安装 firefox-esr
    PKGS=(
        firefox-esr
    )
fi
install_pkgs "${PKGS[@]}"
