#!/bin/bash

# 多媒体: 音视频播放、音频降噪
PKGS=(
    mpv
    ffmpeg

    gstreamer1.0-libav
    gstreamer1.0-plugins-bad
    gstreamer1.0-plugins-base-apps
    gstreamer1.0-plugins-ugly
    gstreamer1.0-tools
    gstreamer1.0-clutter-3.0
    libgstreamer-plugins-bad1.0-0
    isc-dhcp-client
    gstreamer1.0-plugins-good
    gstreamer1.0-gtk3
    gstreamer1.0-x
)

install_pkgs "${PKGS[@]}"

# 平台相关
CURRENT_ARCH="$(dpkg --print-architecture)"
if [ "${CURRENT_ARCH}" != "amd64" ]; then
    if grep -q "Phytium,.*2000" /proc/cpuinfo; then
        PKGS_E2000=(
            gstreamer1.0-omx-ft-e2000
            x100-gpu-ddk-vpu-only
            # x100-gpu-ddk
        )
        install_pkgs "${PKGS_E2000[@]}"
    elif grep -q "rockchip" /proc/cpuinfo; then
        PKGS_ROCKCHIP=(
            librga2
            libx11-xcb1
            libx11-6
        )
        install_pkgs "${PKGS_ROCKCHIP[@]}"

        PKGS_ROCKCHIP=(
            libjpeg62-turbo
            librockchip-mpp1
            librockchip-vpu0
            rockchip-mpp-demos
            librockchip-mpp-dev
            gstreamer1.0-rockchip1
            gir1.2-gst-plugins-base-1.0
            gir1.2-gstreamer-1.0
            gstreamer1.0-alsa
            gstreamer1.0-gl
            gstreamer1.0-plugins-base
            gstreamer1.0-plugins-base-apps
            gstreamer1.0-tools
            gstreamer1.0-x
            libgstreamer-gl1.0-0
            libgstreamer-plugins-base1.0-0
            libgstreamer1.0-0
            libgstreamer1.0-dev
            rockchip-multimedia-config
        )
        install_pkgs "${PKGS_ROCKCHIP[@]}"
    else
        :
    fi
fi